---
# @file: .gitlab-ci.yml
# @brief: Gitlab CI/CD for building shunya stack project.

# Define Stages of your CI/CD
stages:
- build
- test 
- deploy

# Install all the dependencies before your compile 
before_script:
    - opkg update
    - opkg install buildessentials-iot buildessentials-ai
    - opkg install cmake libgpiod-dev curl-dev libmodbus-dev lib60870-staticdev awsiotsdk-c-staticdev awsiotsdk-c-dev mosquitto-dev libyaml-dev paho-mqtt-c-dev curl-dev opencv-dev

# Define a Job for building armv7 
build:armv7:
    # Base Docker image, which will run your compilation commands
    image: shunyaos/shunya-console-armv7:latest
    # Stage of the CI/CD process
    stage: build
    # Commands to compile your program/library
    script:
        - mkdir -p build 
        - cd build
        - cmake ../
        - make 

    artifacts:
        paths:
            - ${CI_PROJECT_DIR}/build
        expire_in: 1 day
